package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.domain.PtServiceApply;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PtServiceApplyDao {

    /**
     * 添加数据
     */
    int insert(PtServiceApply ptServiceApply);

    /**
     * 按主键更新数据
     */
    int updateByPrimaryKey(PtServiceApply ptServiceApply);

    /**
     * 按主键删除数据-物理删除
     */
    int deleteByPrimaryKey(String id);

    PtServiceApply get(@Param("id") String id);

    /**
     * 查询数据
     */
    List<PtServiceApply> selectByPrimaryKey(PtServiceApply ptServiceApply);

    PtServiceApply getByAuth(PtServiceApply ptServiceApply);
}
